%define	name		libdnet
%define	version		1.7
%define	release		2mdk
%define	major		1
%define libname	%mklibname dnet %{major}

Summary:		Portable interface to several low-level networking routines
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://libdnet.sourceforge.net/
License:		BSD
Source:			%{name}-%{version}.tar.bz2
Group:			System/Libraries
Obsoletes:		%{libname}  = %{version}
Obsoletes:		%{name}
Provides:		%{libname} = %{version}
Provides:		%{name}
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n		%{libname}
Summary:		Portable interface to several low-level networking routines
Group:          	System/Libraries
License:		BSD
Obsoletes:		%{libname}  = %{version}
Obsoletes:		%{name}
Provides:		%{libname} = %{version}
Provides:		%{name}

%description -n		%{libname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n		%{libname}-utils
Summary:		A simple test program for the %{libname} library.
Group:          	System/Libraries
License:		BSD
Obsoletes:		%{libname}-utils  = %{version}
Obsoletes:		%{name}-utils
Provides:		%{libname}-utils = %{version}
Provides:		%{name}-utils

%description -n		%{libname}-utils
Provides a simple test program for the %{libname} library.

%package -n		%{libname}-devel
Summary:		Static library and header files for the %{libname} library
Group:			Development/C
License: 		BSD
Obsoletes:		%{libname}-devel  = %{version}
Obsoletes:		%{name}-devel
Provides:		%{libname}-devel = %{version}
Provides:		%{name}-devel
Requires:		%{libname} = %{version}-%{release}

%description -n		%{libname}-devel
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%prep

%setup -q -n %{name}-%{version}

%build
#libtoolize --copy --force; aclocal-1.4; automake-1.4; autoconf-2.13
%serverbuild
export CFLAGS="%{optflags} -fPIC"
%configure
%make

cd src
gcc -Wl,-soname,%{name}.so.%{major} -shared %{optflags} -fPIC -o %{name}.so.%{major}.%{version} *.o

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

install -m755 src/%{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/
ln -s %{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/%{name}.so
ln -s %{name}.so.%{major}.%{version} %{buildroot}%{_libdir}/%{name}.so.%{major}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-utils
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man3/*

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.7-2mdk
- rebuild

* Tue Apr 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.7-1mdk
- 1.7

* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6-1mdk
- re-added into cooker contribs
- use the %%mklibname macro
- misc spec file fixes

* Mon Sep 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5-1mdk
- initial cooker contrib
